*####################Annual real GDP from World Bank Development Indicators########################
clear all

*Set Directory
gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"


cd "${output}"
import excel "${rawdata}\Data_Extract_From_World_Development_Indicators_29country.xlsx", sheet("Data") cellrange(A1:BM30) firstrow

drop CountryCode SeriesName SeriesCode YR2020
rename CountryName country
local numlist "YR1960 YR1961 YR1962 YR1963 YR1964 YR1965 YR1966 YR1967 YR1968 YR1969 YR1970 YR1971 YR1972 YR1973 YR1974 YR1975 YR1976 YR1977 YR1978 YR1979 YR1980 YR1981 YR1982 YR1983 YR1984 YR1985 YR1986 YR1987 YR1988 YR1989 YR1990 YR1991 YR1992 YR1993 YR1994"
foreach y of local numlist{
  replace `y'="." if `y'==".."
}
destring, replace

reshape long YR, i(country) j(year,string) 
rename YR realgdp
destring year, replace
keep if year>=1998

replace country="Czechia" if country=="Czech Republic"
replace country="Slovakia" if country=="Slovak Republic"
replace country="UK" if country=="United Kingdom"
replace country="US" if country=="United States"

save "${procdata}/gdp_annual.dta", replace

