
*############################################################################# */
clear all

*Set Directory
adopath + "...\x12a" // Place seasonal adjustment files provided by Census Bureau and following instructions below. 
gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"



import delimited "${rawdata}\CAN annual agg.csv"

rename avg_hrs_female hours_female
rename avg_hrs_male hours_male
rename avg_hrs mhours 
rename avg_hrs_marriedfemale hours_marriedfemale
rename avg_hrs_marriedmale hours_marriedmale
rename avg_hrs_unmarriedfemale hours_singlefemale
rename avg_hrs_unmarriedmale hours_singlemale
rename tot_hrs_female thours_female
rename tot_hrs_male thours_male
rename tot_hrs_marriedfemale thours_marriedfemale
rename tot_hrs_marriedmale thours_marriedmale
rename tot_hrs_unmarriedfemale thours_singlefemale
rename tot_hrs_unmarriedmale thours_singlemale
rename tot_hrs thours
rename emp_rate_male emp_male 
rename emp_rate_female emp_female 
rename emp_rate memp
rename survyear year

drop emp_rate_marriedfemale emp_rate_marriedmale emp_rate_unmarriedfemale emp_rate_unmarriedmale
format year %ty
gen country="Canada"
drop if year==2020
save "${procdata}\Canada_aggregates.dta", replace

clear all
import delimited "${rawdata}\CAN quarter agg.csv"
rename emp_rate memp
rename avg_hrs mhours
rename avg_hrs_female hours_female
rename avg_hrs_male hours_male
rename emp_rate_female emp_female
rename emp_rate_male emp_male

rename avg_hrs_emp hours_int
rename avg_hrs_emp_female hours_int_female
rename avg_hrs_emp_male hours_int_male

gen year= substr(quarter_time,1,4)
gen q= substr(quarter_time,7,1)
destring year, replace
destring q, replace

drop if year==2020 & (q==4) //not a full quarter
gen yq = yq(year, q)
format yq %tq
tsset yq
local mylist "hours_female hours_male emp_female emp_male mhours memp hours_int hours_int_male hours_int_female"
***********Seasonal adjustment*********
*########This code does seasonal adjustment using the program X-13ARIMA-SEATS by Census Bureau: https://www.census.gov/srd/www/x13as/
*We use instructions by Ernie Tedeschi: https://medium.com/@ernietedeschi/how-to-get-x-13arima-seats-working-in-stata-for-windows-9e2e03b7e9c6
foreach m of local mylist{
sax12 `m', satype(single) dtafile(`m')  
sax12im "`m'.out", ext(d11)
gen `m'_=`m'_d11
}
keep hours_female_ hours_male_ emp_female_ emp_male_ mhours_ memp_ hours_int_ hours_int_female_ hours_int_male_ year q yq
gen country="Canada"
foreach m of local mylist{
rename `m'_ `m'
}

save "${procdata}/Canada_quarter_adjusted.dta", replace


