****########################******READ Industry Employment Table from BLS*******###############
*##############################################################################################
clear all

*Set Directory
gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"

import excel "${rawdata}\bls.xlsx", sheet("BLS Data Series") cellrange(A4:JQ28) firstrow


destring SeriesID , gen(new) i(C E S)
format new %21.0g

gen newe = string(new, "%21.0f") 

gen ind=.
replace ind = real(substr(newe, -10, 2)) if new>10
replace ind=0 if ind==.

gen gen=.
replace gen= real(substr(newe, -2, 2)) if new>=10
replace gen= real(substr(newe, -1, 1)) if new<10


foreach x of varlist _all {
	rename `x' m`x'
} 
rename mind ind
rename mgen gen 
rename mnew new
rename mnewe newe
rename mSeriesID SeriesID

tostring ind, gen(Ind)
tostring gen, gen(Gen)
gen IndGen=Ind+Gen

reshape long m, i(IndGen) j(smdate) string 
gen year= substr(smdate,4,4)
gen month= substr(smdate,1,3)
destring year, replace

rename m emp

gen m=.
replace m=1 if month=="Jan"
replace m=2 if month=="Feb"
replace m=3 if month=="Mar"
replace m=4 if month=="Apr"
replace m=5 if month=="May"
replace m=6 if month=="Jun"
replace m=7 if month=="Jul"
replace m=8 if month=="Aug"
replace m=9 if month=="Sep"
replace m=10 if month=="Oct"
replace m=11 if month=="Nov"
replace m=12 if month=="Dec"

drop smdate SeriesID new newe Ind ind gen Gen

gen all=.
replace all=emp if IndGen=="01"
gen female=.
replace female=emp if IndGen=="010"
gen mining=.
replace mining=emp if IndGen=="101"
gen mining_female=.
replace mining_female=emp if IndGen=="1010"
gen construction=.
replace construction=emp if IndGen=="201"
gen construction_female=.
replace construction_female=emp if IndGen=="2010"
gen manufacturing=.
replace manufacturing=emp if IndGen=="301"
gen manufacturing_female=.
replace manufacturing_female=emp if IndGen=="3010"
gen ttu=.
replace ttu=emp if IndGen=="401"
gen ttu_female=.
replace ttu_female=emp if IndGen=="4010"
gen information=.
replace information=emp if IndGen=="501"
gen information_female=.
replace information_female=emp if IndGen=="5010"
gen finance=.
replace finance=emp if IndGen=="551"
gen finance_female=.
replace finance_female=emp if IndGen=="5510"
gen professional=.
replace professional=emp if IndGen=="601"
gen professional_female=.
replace professional_female=emp if IndGen=="6010"
gen education_health=.
replace education_health=emp if IndGen=="651"
gen education_health_female=.
replace education_health_female=emp if IndGen=="6510"
gen leisure=.
replace leisure=emp if IndGen=="701"
gen leisure_female=.
replace leisure_female=emp if IndGen=="7010"
gen otherservices=.
replace otherservices=emp if IndGen=="801"
gen otherservices_female=.
replace otherservices_female=emp if IndGen=="8010"
gen government=.
replace government=emp if IndGen=="901"
gen government_female=.
replace government_female=emp if IndGen=="9010"

collapse m all female mining mining_female construction construction_female manufacturing manufacturing_female ttu ttu_female information information_female finance finance_female professional professional_female education_health education_health_female leisure leisure_female otherservices otherservices_female government government_female, by(year month)

sort year m
drop if all==.

gen male=all-female
gen mining_male=mining-mining_female
gen construction_male=construction- construction_female
gen manufacturing_male= manufacturing-manufacturing_female
gen ttu_male=ttu-ttu_female 
gen information_male=information-information_female
gen finance_male=finance- finance_female
gen professional_male=professional-professional_female 
gen education_health_male=education_health-education_health_female
gen leisure_male=leisure-leisure_female
gen otherservices_male=otherservices-otherservices_female
gen government_male=government-government_female

*****Make it compatible with Europe code***********
drop mining mining_female mining_male
rename construction construct
rename construction_female construct_female
rename construction_male construct_male
rename manufacturing manu
rename manufacturing_female manu_female
rename manufacturing_male manu_male
rename information info
rename information_male info_male
rename information_female info_female
rename finance fin_re
rename finance_female fin_re_female
rename finance_male fin_re_male
rename professional bus_ad
rename professional_female bus_ad_female
rename professional_male bus_ad_male
rename education_health ed_health
rename education_health_female ed_health_female
rename education_health_male ed_health_male
rename otherservices other_hh
rename otherservices_female other_hh_female
rename otherservices_male other_hh_male
rename government public
rename government_female public_female
rename government_male public_male

gen q=.
replace q=1 if m>=1 & m<=3
replace q=2 if m>=4 & m<=6
replace q=3 if m>=7 & m<=9
replace q=4 if m>=10 & m<=12

collapse construct_female manu_female ttu_female info_female fin_re_female bus_ad_female ed_health_female leisure_female other_hh_female public_female construct_male manu_male ttu_male info_male fin_re_male bus_ad_male ed_health_male leisure_male other_hh_male public_male, by(q year)

gen yq = yq(year, q)
format yq %tq
gen country="US"
encode country, gen(c)
save "${procdata}\bls.dta",replace







