/* #############################################################################
German Internet Panel - Data loading - Wave 43 - Sep 2019
############################################################################# */

* Preliminaries
clear

* Directories *
cd "${git_workdir}"

* Load Data - define varlist, then load data:
#delimit ;

local varlist 
id_g hhid_g pid // unique ID, HH ID, personal number in HH

gender_19 
year_of_birth_cat_19 // no age, but birth year bracket

educ_school_19 educ_job_19 // highest school education and professional qualification
marital_status_19 // marital status
number_hh_members_19 // number of HH members

german_citizenship_19 state_19 // state of residence and citizenship

sample dDatum // when first in sample & reference day 

AA43413a AA43414a AA43415a AA43413b AA43414b AA43415b AA43413c AA43414c AA43415c AA43413d AA43414d AA43415d // other household members 1-4: age, gender, relationship

occupation_19 // created employment status (for creation example see do file on wave49)
AA43454 // employed in public service: 
AA43457 // prev employed in public service: 

AA43458 // industry

AA43450_a AA43450_b AA43450_c AA43450_d AA43450_e AA43450_f AA43450_g AA43450_h AA43450_i AA43450_j AA43450_k AA43450_l AA43450_m AA43450_n AA43450_o AA43450_p AA43450_q 
	// Employment variables (17 different states) - to create own employment variable
AA43451 // main emplyoment status of the above 17 possibilities (as multiple answers are possible)
  
AA43054 AA43055 hh_income_19 // income measures (personal & HH) & income contributing persons
;

** LOADING GIP data from Sep 2019;
*use `varlist' using "${raw_GIP_data}/GIP_W43_V3.dta";
use `varlist' using "${raw_GIP_data}/GIP_W43_V4.dta";


#delimit cr


/* Note: variables contained in wave 49 but not in wave 43 and 37: 
- no short term work variable contained in wave 37
- workload of self-employed relative to before the crisis
- location of work - home office
*/ 


********************************************************************************
* change variables for appending data *
***************************************

format dDatum %td


********************************************************************************
* Save dataset *
*****************

// save data set encrypted locally
save "${local_data_encryp}/data_GIP43.dta", replace

